Name:		libvisca	
Version:	1.0.1
Release:	2%{?dist}
Summary:	Protocol implementation of VISCA cameras control interface

Group:		Development/Libraries
License:	LGPLv2+
URL:		http://damien.douxchamps.net/libvisca/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libvisca_cmake_build.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
VISCA is a protocol used to control many pan and tilt cameras. It is 
commonly found in cameras used for computer vision or robotics 
research, as well as video conferencing.

libVISCA is a library for controlling a VISCA(tm) compliant camera 
through the RS232 port of your PC. VISCA, on its side, is a protocol 
developed by Sony so that a lot of machine vision cameras from Sony 
are compliant with VISCA.

Typical cameras include the FCB-IX47 family of camera block for OEMs.
Note that other devices, such as VCRs, can be controlled.

%package devel
Summary:	Development libraries for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
The %{name}-devel package contains header files necessary for
developing programs using the %{name} library.

%package examples
Summary:	Examples for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description examples
The %{name}-examples package contains examples for developing programs 
using the %{name} library.

%prep
%setup -q
%patch0 -p1

%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%doc README COPYING ChangeLog AUTHORS

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%files examples
%defattr(-,root,root,-)
%{_bindir}/*

%changelog
* Mon Mar 21 2011 F. Kooman - 1.0.1-2
- move header file to own directory
- remove some pkg-config cruft from pc file
- sync soversion with Debian version (0.1.0)

* Fri Mar 18 2011 F. Kooman - 1.0.1-1
- initial Fedora package
